#
# spec file for package xcruise (Version 0.24)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         xcruise
Version:      0.24
Release:      262
URL:          http://tanaka-www.cs.titech.ac.jp/%7Eeuske/prog/index-e.html
Summary:      A directory browser
Copyright:   GPL
Group:       X11/Amusements 
Provides:    xcruise
Requires:    xf86
Autoreqprov: on
Source:  http://tanaka-www.cs.titech.ac.jp/%7Eeuske/prog/xcruise-%{version}.tar.gz
Patch:  xcruise-0.24-imake.patch

%description
XCruise allows you to ``cruise'' within a 3D-formed file system.
It constructs the universe from a directory tree, and you can
move your viewpoint with mouse.

Authors:
--------
    Yusuke Shinyama <euske@cl.cs.titech.ac.jp>

SuSE series: fun

%prep
%setup -n xcruise-0.24
%patch 

%build
xmkmf -a
make CC=gcc

%install
rm -rf $RPM_BUILD_ROOT 
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,lib/X11/app-defaults}
install -s -m 755 xcruise $RPM_BUILD_ROOT/usr/X11R6/bin/xcruise
install -m 644 XCruise.ad $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XCruise

%clean
rm -rf $RPM_BUILD_ROOT 

%files
%doc TODO README README.jp COPYING
/usr/X11R6/bin/xcruise
/usr/X11R6/lib/X11/app-defaults/XCruise

%changelog -n xcruise
* Tue Jun 12 2001 - nadvornik@suse.cz
- used ComplexProgramTargetNoMan in Imakefile
* Mon Oct 09 2000 - nadvornik@suse.cz
- fixed Copyright
* Wed May 17 2000 - nadvornik@suse.cz
- added Buildroot
- added URL, changed Group
- used %%doc macro
* Sat Mar 04 2000 - adrian@suse.de
- first build; version 0.24
